com.genesyslab.wfm8.API.service.builder810

## Class SiteScheduleParams

- java.lang.Object
- - com.genesyslab.wfm8.API.service.builder810.SiteScheduleParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SiteScheduleParams
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `grantAllPreferences` True if 100% of preferences should be granted by calendar.
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` ID of the site.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteScheduleParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getSiteID()` Gets the value of the siteID property.
    `int` | `hashCode()`
    `boolean` | `isGrantAllPreferences()` Gets the value of the grantAllPreferences property.
    `void` | `setGrantAllPreferences(boolean grantAllPreferences)` Sets the value of the grantAllPreferences property.
    `void` | `setSiteID(int siteID)` Sets the value of the siteID property.
    `java.lang.String` | `toString()`
    `SiteScheduleParams` | `withGrantAllPreferences(boolean value)`
    `SiteScheduleParams` | `withSiteID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

      ID of the site.

    - #### grantAllPreferences

          protected boolean grantAllPreferences

      True if 100% of preferences should be granted by calendar.

  - ### Constructor Detail

    - #### SiteScheduleParams

          public SiteScheduleParams()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int siteID)

      Sets the value of the siteID property.

    - #### withSiteID

          public SiteScheduleParams withSiteID(int value)

    - #### isGrantAllPreferences

          public boolean isGrantAllPreferences()

      Gets the value of the grantAllPreferences property.

    - #### setGrantAllPreferences

          public void setGrantAllPreferences(boolean grantAllPreferences)

      Sets the value of the grantAllPreferences property.

    - #### withGrantAllPreferences

          public SiteScheduleParams withGrantAllPreferences(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.